Skip to main content
GET
List an RBAC team's repositories

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
integer
required

The unique numerical identifier for the deployment.

Example:

1111

teamId
integer
required

The unique numerical identifier for the team.

Example:

1234

Query Parameters

limit
integer
default:100

Maximum number of items to return in a single page.

Example:

100

cursor
string
default:""

Opaque cursor used for pagination. If not provided the first page will be returned.

Response

200 - application/json

OK

deploymentId
string<int64>

The unique numerical identifier for the deployment.

Example:

"1111"

teamId
string<int64>

The unique numerical identifier for the team.

Example:

"1234"

repositoryIds
string[]

A list of repository IDs assigned to the team.

Example:
limit
string<int64>
default:100

Maximum number of items to return in a single page.

Example:

"100"

cursor
string
default:""

Opaque cursor used for pagination. If not provided the first page will be returned.